Summary:	A GNU file archiving program.
Name:		tar
Group:		Applications/Archiving
License:	GPL
Version:	1.15.1
Release:	1
Source0:	ftp://ftp.gnu.org/pub/gnu/tar/tar-%{version}.tar.bz2
Patch00:	tar-1.13.18-manpage.patch
Patch01:	tar-1.14-nolibrt.patch
Patch02:	tar-1.14-err.patch
Patch03:	tar-1.14-loneZeroWarning.patch
Patch04:	tar-1.15.1-makeCheck.patch
Patch05:	tar-1.15.1-gcc4.patch
Patch06:	tar-1.15.1-lseek.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The GNU tar program saves many files together into one archive and can
restore individual files (or all of the files) from the archive.  Tar
can also be used to add supplemental files to an archive and to update
or list files in the archive. Tar includes multivolume support,
automatic archive compression/decompression, the ability to perform
remote archives and the ability to perform incremental and full
backups.

%files -f %{name}.lang
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man1/tar.1*
  %doc %{_infodir}/tar.info*

  %attr(0511,root,root)		%{_root_bindir}/tar
  %attr(0511,root,root)		%{_root_bindir}/gtar

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
  unset LINGUAS || :

  %configure --bindir=%{_root_bindir} --libexecdir=%{_root_sbindir}
  make LIBS=-lbsd %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_root_bindir}

  %makeinstall

  pushd $RPM_BUILD_ROOT
    mv ./%{_bindir}/tar ./%{_root_bindir}
    ln -s tar ./%{_root_bindir}/gtar

    for dir in ./bin ./sbin .%{_prefix}/bin .%{_prefix}/libexec
    do
      [ -d $dir ] || continue
      strip $dir/* || :
    done
  popd

  mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
  install -c tar.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
  rm -f $RPM_BUILD_ROOT/%{_libexecdir}/rmt

  %find_lang %{name}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 30 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.15.1, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
